### Summary

Vanitas is a modern transparent user interface resource pack for [Minecraft](https://www.minecraft.net) Java Edition.


### Installation

- You can install this resourcepack directly via the [CurseForge App](https://www.curseforge.com/download/app) or the [Modrinth App](https://modrinth.com/app).
- Alternatively, move the .zip file for your desired version, which can be downloaded from either of the [CurseForge](https://www.curseforge.com/minecraft/texture-packs/vanitas), [Modrinth](https://modrinth.com/resourcepack/vanitas) or [GitHub](https://github.com/iJustLeyxo/Vanitas/releases/) pages into the resourcepacks folder of your Minecraft Java Edition installation directory. You can open the folder in your file manager from the in-game menu under `Options ➤ Resource Packs ➤ Open Pack Folder`.

**Don't forget to enable the resourcepack.** You can do so in your game settings under `Options ➤ Resource Packs`.


### Issues

Please report any issues by [creating a new issue](https://github.com/iJustLeyxo/Vanitas/issues/new) using the [issue tracker](https://github.com/iJustLeyxo/Vanitas/issues/) on the [GitHub repository](https://github.com/iJustLeyxo/Vanitas/).


### Project Status

Vanitas is under development and will experience major changes, aswell as bug fixes and updates to new Minecraft Java Edition releases.


### Version Compatibility

Vanitas is currently compatible with the following Minecraft Java Edition releases:
- 1.21 ~ 1.21.3 (newest release and all subreleases)
- 1.20 ~ 1.20.6 (2nd newest release and all subreleases)
- 1.15 ~ 1.16.1 (LTS)
- 1.11 ~ 1.12.2 (LTS)
- 1.6.1 ~ 1.8.9 (LTS)

(LTS = long term support)

Please note that some features are not available for all Minecraft Java Edition versions due to technical limitations.

While some versions of Vanitas may work with certain Minecraft Java Edition snapshots, please note that snapshots are generally not supported.

Vanitas will always be upated to the newest two major Minecraft Java Edition releases and all subreleases, aswell as specific long term supported versions. Other version compatibility might be added upon request and when deemed beneficial to the project.


### Contents

This resourcepack replaces the vanilla GUI textures and replaces them with minimal and transparent new textures in a modern design. This includes:
- Menu and settings interface textures (buttons, sliders, text input fields, selection arrows, etc.)
- Container interface textures (interactive blocks, player & entity inventories)
- Advancements screen textures
- Hotbar, health-bar, hunger-bar, xp-bar, jump-bar and boss-bar HUD textures
- Toasts textures (advancements, recipe, tutorial and system message popups)
- Empty item slot textures
- Heart particle textures


### Mod Compatibility

Vanitas is currently compatible with the following mods:

- Appleskin: Adds various food-related HUD improvements. [CurseForge](https://www.curseforge.com/minecraft/mc-mods/appleskin) [Modrinth](https://modrinth.com/mod/appleskin) - Since [Beta 1.4.0](https://github.com/iJustLeyxo/Vanitas/releases/tag/1.4.0)


### Affiliation Notice

Vanitas is brough to you by all contributors to the Vanitas project.
Vanitas is not official Minecraft content. Vanitas is not approved by or associated with Mojang or Microsoft.


### For Pack Makers

#### Project Sources

The project sources can be found on the [GitHub repository](https://github.com/iJustLeyxo/Vanitas/)


#### License

This project is licensed under the [GPLv3](https://www.gnu.org/licenses/gpl-3.0.txt).


#### Compiling

The build script uses the [PackMake](https://github.com/iJustLeyxo/PackMake/) resource pack compiler, which is automatically downloaded and used to interpret the source file structure.


#### Compressing

The compress script uses the [OptiPNG](https://optipng.sourceforge.net/) png file optimizer, which is required to compress the source files. Compilation does not require the compress script or OptiPNG.
